<?php

global $tree_pages_array;
require_once "inc/tree.php";

$root = $vars[0];
if (!isset($root)) $root = "/".$this->page["tag"];
if ($root == "/") $root = "";
if ($root) $root = $this->UnwrapLink($root);

if (!$depth) $depth=0;
if (!is_numeric($depth)) $depth=0;
if ($depth==0) $depth=2147483647;//  
if (!$style) $style="indent";
if (!in_array($style,array("br","ul","ol","indent"))) $style="indent";

if ($root){
    if (!$nomark){
      $title = $this->GetResourceValue("Tree:ClusterTitle");
      $title = str_replace("%1",  $this->Link("/".$root,"",$root),  $title);
       print("<fieldset><legend>".$title.":</legend>\n");
    }
    $query = "'".quote($this->NpjTranslit($root))."/%'";
  }else{
    if (!$nomark)  print("<fieldset><legend>".$this->GetResourceValue("Tree:SiteTitle")."</legend>\n");
    $query = "'%'";
  }

  $pages = $this->LoadAll("select ".$this->pages_meta." from ".
           $this->config["table_prefix"]."pages where supertag like ".$query.
           ($owner?" AND owner='".quote($owner)."'":"").
           " and comment_on = ''");

  if ($pages)
  {
    //       acl
    foreach($pages as $page)
    {
      $this->CachePage($page, 1);
      $supertag_list[] = $page["supertag"];
    }

    //    acl
    for ($i=0; $i<count($supertag_list); $i++) {
       $supertag_str .= "'".quote($supertag_list[$i])."', ";
    }
    $supertag_str=substr($supertag_str,0,strlen($supertag_str)-2);

    //  
    if ( $read_acls = $this->LoadAll("select * from ".$this->config["table_prefix"]."acls where supertag in (".$supertag_str.") and privilege = 'read'")){
     for ($i=0; $i<count($read_acls); $i++) {
       $this->CacheACL($read_acls[$i]["supertag"], "read", 1,$read_acls[$i]);
     }
    }

    //  
    $tree_pages_array = array();
    foreach($pages as $page){
      if (!$this->config["hide_locked"] || $this->HasAccess("read", $page["supertag"])){
        $tree_pages_array["/".$page["supertag"]] = $page["tag"];
      }
    }

    //   
    ksort ( $tree_pages_array, SORT_STRING );

    $tree = create_cluster_tree($this,"/".$this->NpjTranslit($root),$root,$depth);

    print_cluster_tree($this, $tree, $style, 1, $abc, $filter);


  }else{
    $empty_string = $this->GetResourceValue("Tree:Empty");
    $empty_string = str_replace("%1",  $this->Link("/".$root,"",$root),  $empty_string);
    print($empty_string."<br />");
  }


  if (!$nomark) echo "</fieldset>\n";

?>
