<?php

    $this->_template->setDir( 'handlers/page/tmpl' );
    $this->_template->parse( array( 'filename' => 'acls.tmpl' ) );

    $UserIsOwner = ($this->UserIsOwner() || $this->IsAdmin());

    if ( $UserIsOwner ) {

        if ( defined('use_cgi_param') ) {
        		$array[] = array( 'name'	=> 'read_acl',  'default' => '', 'type'	=> 'str' );
        		$array[] = array( 'name'	=> 'write_acl',  'default' => '', 'type'	=> 'str' );
        		$array[] = array( 'name'	=> 'comment_acl',  'default' => '', 'type'	=> 'str' );
            $_REQUEST = cgi_param( $array );
        } // if ( defined('use_cgi_param') )

        if ( $_POST )
        {
            $isPost = true;
            // store lists
            $this->SaveAcl($this->GetPageTag(), "read", $_POST["read_acl"]);
            $this->SaveAcl($this->GetPageTag(), "write", $_POST["write_acl"]);
            $this->SaveAcl($this->GetPageTag(), "comment", $_POST["comment_acl"]);
            $message = $this->GetResourceValue("ACLUpdated");

            // change owner?
            if ($newowner = $_POST["newowner"])
            {
              $this->SetPageOwner($this->GetPageTag(), $newowner);
              $message .= $this->GetResourceValue("ACLGaveOwnership").$newowner;
            }
            // redirect back to page
            $this->SetMessage($message."!");
            $this->Redirect($this->Href());
        }
        else
        {
            $isPost = false;

            // load acls
            $readACL = $this->LoadAcl($this->GetPageTag(), "read");
            $writeACL = $this->LoadAcl($this->GetPageTag(), "write");
            $commentACL = $this->LoadAcl($this->GetPageTag(), "comment");

            $this->_template->param(array(
                'FormOpen'  => $this->FormOpen("acls"),
                'FormClose' => $this->FormClose(),
                'ACLFor'    => str_replace("%1",$this->Link("/".$this->GetPageTag()),$this->GetResourceValue("ACLFor")),
                'users'     => $this->LoadUsers(),
                'SetOwner'  => $this->GetResourceValue("SetOwner"),
                'OwnerDonChange' => $this->GetResourceValue("OwnerDon'tChange"),
                'ACLRead'   => $this->GetResourceValue("ACLRead"),
                'ACLWrite'  => $this->GetResourceValue("ACLWrite"),
                'ACLComment' => $this->GetResourceValue("ACLComment"),
                'readACL'   => $readACL["list"],
                'writeACL'  => $writeACL["list"],
                'commentACL' => $commentACL["list"],
                'ACLStoreButton' => $this->GetResourceValue("ACLStoreButton"),
                'ACLCancelButton' => $this->GetResourceValue("ACLCancelButton"),

            ));

        } // if

        $this->_template->param(array(
            'isPost'     => $isPost,
        ));
    }
    else
    {
        $this->_template->param(array(
            'ACLAccessDenied' => $this->GetResourceValue("ACLAccessDenied")
        ));

    } // if

    $this->_template->param(array(
       'root_url'  => $this->GetConfigValue("root_url"),
       'UserIsOwner' => $UserIsOwner
    ));

    echo $this->_template->output();

?>
